#include <kdialog.h>
#include <klocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'composercryptoconfiguration.ui'
**
** Created: 2013-08-05T17:04:53
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "composercryptoconfiguration.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qcheckbox.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a ComposerCryptoConfiguration as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
ComposerCryptoConfiguration::ComposerCryptoConfiguration( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "ComposerCryptoConfiguration" );
    ComposerCryptoConfigurationLayout = new QVBoxLayout( this, 11, 6, "ComposerCryptoConfigurationLayout"); 

    optionsGroup_2 = new QGroupBox( this, "optionsGroup_2" );
    optionsGroup_2->setColumnLayout(0, Qt::Vertical );
    optionsGroup_2->layout()->setSpacing( 6 );
    optionsGroup_2->layout()->setMargin( 11 );
    optionsGroup_2Layout = new QVBoxLayout( optionsGroup_2->layout() );
    optionsGroup_2Layout->setAlignment( Qt::AlignTop );

    mAutoSignature = new QCheckBox( optionsGroup_2, "mAutoSignature" );
    optionsGroup_2Layout->addWidget( mAutoSignature );
    ComposerCryptoConfigurationLayout->addWidget( optionsGroup_2 );

    optionsGroup = new QGroupBox( this, "optionsGroup" );
    optionsGroup->setColumnLayout(0, Qt::Vertical );
    optionsGroup->layout()->setSpacing( 6 );
    optionsGroup->layout()->setMargin( 11 );
    optionsGroupLayout = new QVBoxLayout( optionsGroup->layout() );
    optionsGroupLayout->setAlignment( Qt::AlignTop );

    mEncToSelf = new QCheckBox( optionsGroup, "mEncToSelf" );
    optionsGroupLayout->addWidget( mEncToSelf );

    mShowEncryptionResult = new QCheckBox( optionsGroup, "mShowEncryptionResult" );
    optionsGroupLayout->addWidget( mShowEncryptionResult );

    mStoreEncrypted = new QCheckBox( optionsGroup, "mStoreEncrypted" );
    mStoreEncrypted->setChecked( FALSE );
    optionsGroupLayout->addWidget( mStoreEncrypted );

    mShowKeyApprovalDlg = new QCheckBox( optionsGroup, "mShowKeyApprovalDlg" );
    optionsGroupLayout->addWidget( mShowKeyApprovalDlg );

    mAutoEncrypt = new QCheckBox( optionsGroup, "mAutoEncrypt" );
    optionsGroupLayout->addWidget( mAutoEncrypt );

    mNeverEncryptWhenSavingInDrafts = new QCheckBox( optionsGroup, "mNeverEncryptWhenSavingInDrafts" );
    optionsGroupLayout->addWidget( mNeverEncryptWhenSavingInDrafts );
    ComposerCryptoConfigurationLayout->addWidget( optionsGroup );
    spacer22 = new QSpacerItem( 20, 20, QSizePolicy::Minimum, QSizePolicy::Expanding );
    ComposerCryptoConfigurationLayout->addItem( spacer22 );
    languageChange();
    resize( QSize(581, 318).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // tab order
    setTabOrder( mEncToSelf, mShowEncryptionResult );
    setTabOrder( mShowEncryptionResult, mStoreEncrypted );
    setTabOrder( mStoreEncrypted, mShowKeyApprovalDlg );
    setTabOrder( mShowKeyApprovalDlg, mAutoEncrypt );
    setTabOrder( mAutoEncrypt, mNeverEncryptWhenSavingInDrafts );
}

/*
 *  Destroys the object and frees any allocated resources
 */
ComposerCryptoConfiguration::~ComposerCryptoConfiguration()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ComposerCryptoConfiguration::languageChange()
{
    optionsGroup_2->setTitle( tr2i18n( "Signing" ) );
    mAutoSignature->setText( tr2i18n( "&Automatically sign messages" ) );
    QWhatsThis::add( mAutoSignature, tr2i18n( "When this option is enabled, all messages you send will be signed by default; of course, it is still possible to disable signing for each message individually." ) );
    optionsGroup->setTitle( tr2i18n( "Encrypting" ) );
    mEncToSelf->setText( tr2i18n( "When encrypting emails, always also encr&ypt to the certificate of my own identity" ) );
    QWhatsThis::add( mEncToSelf, tr2i18n( "When this option is enabled, the message/file will not only be encrypted with the receiver's public key, but also with your key. This will enable you to decrypt the message/file at a later time. This is generally a good idea." ) );
    mShowEncryptionResult->setText( tr2i18n( "Show s&igned/encrypted text after composing" ) );
    QWhatsThis::add( mShowEncryptionResult, tr2i18n( "When this option is enabled, the signed/encrypted text will be shown in a separate window, enabling you to know how it will look before it is sent. This is a good idea when you are verifying that your encryption system works." ) );
    mStoreEncrypted->setText( tr2i18n( "Store sent messages encry&pted" ) );
    QToolTip::add( mStoreEncrypted, tr2i18n( "Check to store messages encrypted " ) );
    QWhatsThis::add( mStoreEncrypted, tr2i18n( "<qt>\n"
"<h1>Store Messages Encrypted</h1>\n"
"When this box is checked, sent messages are stored encrypted like they were sent. This is not recommended, as you will not be able to read the messages any longer if a necessary certificate expires.\n"
"<p>\n"
"However, there may be local rules that require you to turn this option on. When in doubt, check with your local administrator.\n"
"</qt>" ) );
    mShowKeyApprovalDlg->setText( tr2i18n( "Always show the encryption keys &for approval" ) );
    QWhatsThis::add( mShowKeyApprovalDlg, tr2i18n( "When this option is enabled, the application will always show you a list of public keys from which you can choose the one it will use for encryption. If it is off, the application will only show the dialog if it cannot find the right key or if there are several which could be used." ) );
    mAutoEncrypt->setText( tr2i18n( "Automatically encrypt &messages whenever possible" ) );
    QWhatsThis::add( mAutoEncrypt, tr2i18n( "When this option is enabled, every message you send will be encrypted whenever encryption is possible and desired; of course, it is still possible to disable the automatic encryption for each message individually." ) );
    mNeverEncryptWhenSavingInDrafts->setText( tr2i18n( "Never sign/encrypt when sa&ving as draft" ) );
}

/****************************************************************************
** ComposerCryptoConfiguration meta object code from reading C++ file 'composercryptoconfiguration.h'
**
** Created: Mon Aug 5 17:04:53 2013
**      by: The Qt MOC ($Id: qt/moc_yacc.cpp   3.3.8   edited Feb 2 14:59 $)
**
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef QT_NO_COMPAT
#include "composercryptoconfiguration.h"
#include <qmetaobject.h>
#include <qapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.3.8d. It"
#error "cannot be used with the include files from this version of Qt."
#error "(The moc has changed too much.)"
#endif

const char *ComposerCryptoConfiguration::className() const
{
    return "ComposerCryptoConfiguration";
}

QMetaObject *ComposerCryptoConfiguration::metaObj = 0;
static QMetaObjectCleanUp cleanUp_ComposerCryptoConfiguration( "ComposerCryptoConfiguration", &ComposerCryptoConfiguration::staticMetaObject );

#ifndef QT_NO_TRANSLATION
QString ComposerCryptoConfiguration::tr( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ComposerCryptoConfiguration", s, c, QApplication::DefaultCodec );
    else
	return QString::fromLatin1( s );
}
#ifndef QT_NO_TRANSLATION_UTF8
QString ComposerCryptoConfiguration::trUtf8( const char *s, const char *c )
{
    if ( qApp )
	return qApp->translate( "ComposerCryptoConfiguration", s, c, QApplication::UnicodeUTF8 );
    else
	return QString::fromUtf8( s );
}
#endif // QT_NO_TRANSLATION_UTF8

#endif // QT_NO_TRANSLATION

QMetaObject* ComposerCryptoConfiguration::staticMetaObject()
{
    if ( metaObj )
	return metaObj;
    QMetaObject* parentObject = QWidget::staticMetaObject();
    static const QUMethod slot_0 = {"languageChange", 0, 0 };
    static const QMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, QMetaData::Protected }
    };
    metaObj = QMetaObject::new_metaobject(
	"ComposerCryptoConfiguration", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef QT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // QT_NO_PROPERTIES
	0, 0 );
    cleanUp_ComposerCryptoConfiguration.setMetaObject( metaObj );
    return metaObj;
}

void* ComposerCryptoConfiguration::qt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "ComposerCryptoConfiguration" ) )
	return this;
    return QWidget::qt_cast( clname );
}

bool ComposerCryptoConfiguration::qt_invoke( int _id, QUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return QWidget::qt_invoke( _id, _o );
    }
    return TRUE;
}

bool ComposerCryptoConfiguration::qt_emit( int _id, QUObject* _o )
{
    return QWidget::qt_emit(_id,_o);
}
#ifndef QT_NO_PROPERTIES

bool ComposerCryptoConfiguration::qt_property( int id, int f, QVariant* v)
{
    return QWidget::qt_property( id, f, v);
}

bool ComposerCryptoConfiguration::qt_static_property( QObject* , int , int , QVariant* ){ return FALSE; }
#endif // QT_NO_PROPERTIES
